V8

Embedded JavaScript Engine for R

An R interface to Google's open source JavaScript engine. This package can now be compiled either with V8 version 6 or 7 (LTS) from nodejs or with the legacy 3.14/3.15 branch of V8.

Total

661,284

Last month

35,463

Last week

8,117

Average per day

1,182

Daily downloads

Total downloads

Description file content

Package
V8
Type
Package
Title
Embedded JavaScript Engine for R
Version
2.2
Description
An R interface to Google's open source JavaScript engine. This package can now be compiled either with V8 version 6 or 7 (LTS) from nodejs or with the legacy 3.14/3.15 branch of V8.
License
MIT + file LICENSE
URL
BugReports
https://github.com/jeroen/v8/issues
SystemRequirements
V8 version 6 or 7 is recommended, but 3.14 (legacy) is still supported as well. On Debian / Ubuntu you need either libv8-dev or libnode-dev, on Fedora use v8-devel.
NeedsCompilation
yes
VignetteBuilder
knitr
Imports
Rcpp (>= 0.12.12), jsonlite (>= 1.0), curl (>= 1.0), utils
LinkingTo
Rcpp
Suggests
testthat, knitr, rmarkdown
RoxygenNote
6.1.1
Language
en-US
Packaged
2019-04-13 06:48:23 UTC; jeroen
Author
Jeroen Ooms [aut, cre] ()
Maintainer
Jeroen Ooms
Repository
CRAN
Date/Publication
2019-04-13 07:22:41 UTC

install.packages('V8')

2.2

11 days ago

https://github.com/jeroen/v8

Jeroen Ooms

MIT + file LICENSE

Imports

Rcpp (>= 0.12.12), jsonlite (>= 1.0), curl (>= 1.0), utils

Suggests

testthat, knitr, rmarkdown

Discussions